com.r3corda.node.services.messaging / ArtemisMessagingComponent / NodeAddress

# NodeAddress

`protected data class NodeAddress : SingleMessageRecipient, ArtemisAddress`

### Constructors

<init> | `NodeAddress(identity: PublicKey, hostAndPort: <ERROR CLASS>)`

### Properties

hostAndPort | `val hostAndPort: <ERROR CLASS>`
identity | `val identity: PublicKey`
queueName | `val queueName: <ERROR CLASS>`

### Functions

toString | `fun toString(): String`